unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes,
  System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.Edit, vkbdhelper, FMX.ScrollBox, FMX.Memo,
  FMX.StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Edit, Memo {$IFDEF QLOG_INCLUDED}, qlog {$ENDIF};
{$R *.fmx}
{$R *.LgXhdpiPh.fmx ANDROID}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if not Assigned(Form2) then
    Form2 := TForm2.Create(Application);
  Form2.ShowModal(
    procedure(AModalResult: TModalResult)
    begin
      FreeAndNil(Form2);
    end);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if not Assigned(Form2) then
    Form3 := TForm3.Create(Application);
  Form3.ShowModal(
    procedure(AModalResult: TModalResult)
    begin
      FreeAndNil(Form3);
    end);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Logs.Castor.AddWriter(TQLogSocketWriter.Create('', 514, False));
end;

end.
