unit main;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes,
  System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.Edit, vkbdhelper, FMX.ScrollBox, FMX.Memo,
  FMX.StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    SpeedButton1: TSpeedButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Edit, Memo, forminherited, frames {$IFDEF QLOG_INCLUDED}, qlog {$ENDIF};
{$R *.fmx}
{$R *.LgXhdpiPh.fmx ANDROID}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if not Assigned(Form2) then
    Form2 := TForm2.Create(Application);
  Form2.ShowModal(
    procedure(AModalResult: TModalResult)
    begin
      FreeAndNil(Form2);
    end);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if not Assigned(Form3) then
    Form3 := TForm3.Create(Application);
  Form3.ShowModal(
    procedure(AModalResult: TModalResult)
    begin
      FreeAndNil(Form3);
    end);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if not Assigned(Form4) then
    Form4 := TForm4.Create(Application);
  Form4.ShowModal(
    procedure(AModalResult: TModalResult)
    begin
      FreeAndNil(Form4);
    end);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  if not Assigned(Form5) then
    Form5 := TForm5.Create(Application);
  Form5.ShowModal(
    procedure(AModalResult: TModalResult)
    begin
      FreeAndNil(Form5);
    end);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Logs.Castor.AddWriter(TQLogSocketWriter.Create('', 514, False));
end;

end.
